% shops1.m: Calculate phase-corrected Strehl and Normalized irradiance variance.
% t2=trfopen('WtdemoRunt21.trf');
% s2=trfload(t2);
sfld = trfwild(s2, [], 'fld');
amp = abs(sfld.r(1).v(1).d);
mask = find(amp > 0);  % Here we determine which points are included in the computation.
kk = 0;
for ii=1:3,... % There are three turbulence strengths.
   ampsum = 0.0;
   intsum = 0.0;
   intsqsum = 0.0;
   n = 0;
   for jj=1:10,... % There are ten realizations for each turbulence strength.
      kk = kk + 1;
      amp = abs(sfld.r(kk).v(1).d(mask)); % Notice we are using the data for the kkth run.
      int = amp.^2;
      intsq = int.^2;
      ampsum = ampsum + sum(amp);
      intsum = intsum + sum(int);
      intsqsum = intsqsum + sum(intsq);
      n = n + prod(size(amp));
   end;
   ampavg(ii) = ampsum / n;
   intavg(ii) = intsum / n;
   intsqavg(ii) = intsqsum / n;
   pcstrehl(ii) = (ampavg(ii).^2) / intavg(ii); % Phase-corrected strehl.
   niv(ii) = (intsqavg(ii) / (intavg(ii).^2)) - 1.0; % Normalized irradiance variance.
end;