% shops4.m: Show open and closed loop point source and HEL images side-by-side.
% tia=trfopen('TutIRunsetC1.trf');sia=trfload(tia);trfvlist(sia)
p = tmxparams(sia.r(1)); % This gets most of the input parameters.
set(figure,'position',[10,400,200,200],'name','Open-Loop Point Source');
fops = gcf;
set(figure,'position',[220,400,200,200],'name','Closed-Loop Point Source');
fcps = gcf;
set(figure,'position',[430,400,200,200],'name','Open-Loop Scoring');
fos = gcf;
set(figure,'position',[640,400,200,200],'name','Closed-Loop Scoring');
fcs = gcf;
xtbd = opdc(p.tbd_nxy,p.tbd_dxy/p.target_range); % Units of radians.
xps = opdc(p.img_nxy,p.img_dxy);
simg = trfwild(sia,[],'camera.fpaImage');
stbd = trfwild(sia,[],'targetboard.integrated_intensity');
nt = size(simg.r(1).v(1).d,2); % The timing between image and tbd must be synced for this logic. 
for ii=1:nt
   figure(fops);
   imagesc(xps,xps,reshape(simg.r(1).v(1).d(:,ii),p.img_nxy,p.img_nxy));
   title('Image OL');
   axis image;
   mops = getframe(gcf);
   figure(fcps);
   imagesc(xps,xps,reshape(simg.r(2).v(1).d(:,ii),p.img_nxy,p.img_nxy));
   title('Image CL');
   axis image;
   mcps = getframe(gcf);
   figure(fos);
   imagesc(xtbd,xtbd,reshape(stbd.r(1).v(1).d(:,ii),p.tbd_nxy,p.tbd_nxy));
   title('Scorer OL');
   axis image;
   mos = getframe(gcf);
   figure(fcs);
   imagesc(xtbd,xtbd,reshape(stbd.r(2).v(1).d(:,ii),p.tbd_nxy,p.tbd_nxy));
   title('Scorer CL');
   axis image;
   mcs = getframe(gcf);
   mb(ii) = mops;
   mb(ii).cdata =[mops.cdata,mcps.cdata,mos.cdata,mcs.cdata];
end;
close(fops);
close(fos);
close(fcps);
close(fcs);
set(figure,'position',[10,300,800,200],'name','Open and Closed-Loop Point Source and Scoring Images');
set(gca,'position',[0,0,1,1]);
movie(mb);